Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.cin.mycarenet._1_0.carenet.types
Enum MessageNatureType

    java.lang.Object
      java.lang.Enum<MessageNatureType>
          be.cin.mycarenet._1_0.carenet.types.MessageNatureType

All Implemented Interfaces:
  Serializable, Comparable<MessageNatureType>

    public enum MessageNatureType

extends Enum<MessageNatureType>

Java class for MessageNatureType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="MessageNatureType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="visit"/>
         <enumeration value="agreementClosure"/>
         <enumeration value="newProvider"/>
         <enumeration value="decisionModification"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`AGREEMENT_CLOSURE`
`DECISION_MODIFICATION`
`NEW_PROVIDER`
`VISIT`

Method Summary
`static MessageNatureType` | `fromValue(String v)`
`String` | `value()`
`static MessageNatureType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MessageNatureType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VISIT

    public static final MessageNatureType VISIT

### AGREEMENT_CLOSURE

    public static final MessageNatureType AGREEMENT_CLOSURE

### NEW_PROVIDER

    public static final MessageNatureType NEW_PROVIDER

### DECISION_MODIFICATION

    public static final MessageNatureType DECISION_MODIFICATION

Method Detail

### values

    public static MessageNatureType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MessageNatureType c : MessageNatureType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MessageNatureType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static MessageNatureType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.17.1 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.